import { LitElement, PropertyValues } from 'lit';
import '@warp-ds/icons/elements/chevron-down-16';
import '@warp-ds/icons/elements/chevron-up-16';
import '../utils/expand-transition';
import '../utils/unstyled-heading';
/**
 * Expandable is a layout component used for creating expandable content areas on a page.
 *
 * [See Storybook for usage examples](https://warp-ds.github.io/elements/?path=/docs/layout-expandable--docs)
 *
 * @slot title - Alternative to the `title` attribute should you need to provide some additional markup.
 */
declare class WarpExpandable extends LitElement {
    #private;
    expanded: boolean;
    title: string;
    box: boolean;
    bleed: boolean;
    buttonClass: string;
    contentClass: string;
    noChevron: boolean;
    animated: boolean;
    headingLevel: number;
    /** @internal */
    _hasTitle: boolean;
    /** @internal */
    _showChevronUp: boolean;
    static styles: import("lit").CSSResult[];
    updated(changedProperties: PropertyValues<this>): void;
    firstUpdated(): void;
    /** @internal */
    get _expandableSlot(): import("lit").TemplateResult<1>;
    render(): import("lit").TemplateResult<1>;
}
export { WarpExpandable };
